curl --request POST \
--url https://{base_url_domain}/api/global/v1/shipping/shipments/{id}/pick \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pick_locations": [
{
"location_label": "<string>",
"quantity": 123
}
],
"reservation_refs": [
{
"id": 123,
"quantity": 123
}
]
}
'import requests
url = "https://{base_url_domain}/api/global/v1/shipping/shipments/{id}/pick"
payload = {
"pick_locations": [
{
"location_label": "<string>",
"quantity": 123
}
],
"reservation_refs": [
{
"id": 123,
"quantity": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pick_locations: [{location_label: '<string>', quantity: 123}],
reservation_refs: [{id: 123, quantity: 123}]
})
};
fetch('https://{base_url_domain}/api/global/v1/shipping/shipments/{id}/pick', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"type": "parameters",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}{
"errors": [
{
"type": "not_found",
"message": "The server could not find the requested resource."
}
]
}{
"errors": [
{
"type": "unable_to_process",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}Pick Shipment
Completes some or all picks for the Shipment specified by its id path parameter.
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Path Parameters
The id of the referenced Shipment.
x >= 1Body
Optionally specify the exact locations and amounts which should
be picked. If not specified then all locations for this shipment
will be picked. Cannot be used together with reservation_refs.
Show child attributes
Show child attributes
Optionally specify the exact reservations to pick by their IDs.
If not specified then all reservations for this shipment will be picked.
Cannot be used together with pick_locations.
Show child attributes
Show child attributes
Response
OK - The operation completed successfully and there is no response body.
Was this page helpful?